Bug 102409 - (ACPI) RealTek 8139 fails to DHCP under linux-2.6 kernel
(ACPI) RealTek 8139 fails to DHCP under linux-2.6 kernel
Status: CLOSED UPSTREAM
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
prebeta
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-14 16:56 EDT by Don Zickus
Modified: 2013-07-02 22:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 12:56:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Zickus 2003-08-14 16:56:55 EDT
Description of problem:
I upgraded from RH9 to the new 2.6-test kernel under
http://people.redhat.com/arjanv/2.5 using yum.  Everything installed fine with
no errors.  However upon reboot, retrieving an IP address using DHCP fails. 
Reboot again under the RH9 kernel (2.4.20-18.9) and DHCP works fine.  My
ethernet card is a RealTek 8139.  

Version-Release number of selected component (if applicable):


How reproducible:
Very reproducible

Steps to Reproduce:
1. /sbin/ifup eth0
2.
3.
    
Actual results:
Times out

Expected results:
the ip address is received from the DHCP server

Additional info:
Comment 1 Don Zickus 2003-08-14 16:57:54 EDT
I tried to debug this by booting into the 2.6 kernel and activating the network
connection by hand using 'ifup eth0' and the gui interface.  The output of
'dmesg' shows the driver loading properly (lsmod confirms this too).  The
content of /var/log/messages shows two DHCPREQUEST then about 6 DHCPDISCOVERs
with the latter timing out.  

I also downloaded the latest dhclient for RH9 but that had no affect.
Comment 2 Dave Jones 2003-08-14 19:32:09 EDT
Does it start working again if you boot with acpi=off ? or noapic ? or a
combination of both ?

Comment 3 Don Zickus 2003-08-15 12:24:44 EDT
acpi=off  --> works
pci=noacpi  --> works
acpi=off pci=noacpi --> works

However, I noticed when using pci=noacpi, my boot time is about 20 seconds
slower.   Is that normal?  

Thanks for the tip!  Now what does this mean?  Is it a software problem or is
the cheap hardware I bought last month flaky?  :)
Comment 5 Don Zickus 2003-08-15 13:05:16 EDT
Thanks!  Yeah, I will go bug them, I have some free time.  
Comment 6 Jun Nakajima 2003-08-26 01:20:55 EDT
Is this a dup of 101217?
Comment 7 Don Zickus 2004-03-03 09:45:42 EST
I believe this bug has been fixed a while ago (months maybe).  You can
close this issue for now.  If I still have problems I will re-open a
new issue.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.